[arch-commits] Commit in xorg-fonts-75dpi/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Mar 8 07:06:26 EST 2010


    Date: Monday, March 8, 2010 @ 07:06:26
  Author: jgc
Revision: 71681

upgpkg: xorg-fonts-75dpi 1.0.1-3
Update fonts, convert to -any architecture

Modified:
  xorg-fonts-75dpi/trunk/PKGBUILD

----------+
 PKGBUILD |   43 +++++++++++++++++++++++--------------------
 1 file changed, 23 insertions(+), 20 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-08 11:58:46 UTC (rev 71680)
+++ PKGBUILD	2010-03-08 12:06:26 UTC (rev 71681)
@@ -3,35 +3,38 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-fonts-75dpi
 pkgver=1.0.1
-pkgrel=2
+pkgrel=3
 pkgdesc="X.org 75dpi fonts"
-arch=(i686 x86_64)
+arch=(any)
 url="http://xorg.freedesktop.org/"
 license=('custom')
 depends=(xorg-fonts-encodings xorg-fonts-alias xorg-font-utils fontconfig)
 groups=('xorg')
 install=xfonts.install
-source=(${url}/releases/individual/font/font-adobe-75dpi-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-adobe-utopia-75dpi-1.0.1.tar.bz2
-        ${url}/releases/individual/font/font-bh-75dpi-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-bh-lucidatypewriter-75dpi-1.0.0.tar.bz2
-        ${url}/releases/individual/font/font-bitstream-75dpi-1.0.0.tar.bz2)
-md5sums=('813b5d3723c84388a938ab6732e1329c' 'dd912284e4750023f9682812532fa033'\
-         '6e51cd02f4ce32e1393e34ab17a9b211' 'fdd9be5b9db94ef363a33e39b7977e2b'\
-         'beb476657d50d07d17eef7c325a5ed08')
+source=(${url}/releases/individual/font/font-adobe-75dpi-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-adobe-utopia-75dpi-1.0.2.tar.bz2
+        ${url}/releases/individual/font/font-bh-75dpi-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-bh-lucidatypewriter-75dpi-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-bitstream-75dpi-1.0.1.tar.bz2)
+md5sums=('a47681c97bd012196691c95e34d400f1'
+         '71dffebeeb702d10876555c361fb69cf'
+         '53785d2688392aec5cba79fc0ddb23a2'
+         '6397062f2b346ce5bbe5472f3353a9a9'
+         'aed54fb53d2d24aff10c92985286d1e5')
 
 build() {
-  cd ${srcdir}
-  for dir in font-*-75dpi-1.0.0 font-*-75dpi-1.0.1; do
-    pushd ${dir}
+  cd "${srcdir}"
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  for dir in *; do
+    if [ -d "${dir}" ]; then
+      pushd "${dir}"
       ./configure --prefix=/usr \
-                  --with-mapfiles=/usr/share/fonts/util \
-		  --with-fontdir=/usr/share/fonts/75dpi
+          --with-fontdir=/usr/share/fonts/75dpi || return 1
       make || return 1
-      make DESTDIR=${pkgdir} install || return 1
-      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-75dpi-*}
-    popd
+      make DESTDIR="${pkgdir}" install || return 1
+      install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-75dpi-*}" || return 1
+      popd
+    fi
   done
-  rm -f ${pkgdir}/usr/share/fonts/75dpi/fonts.*
+  rm -f "${pkgdir}"/usr/share/fonts/75dpi/fonts.*
 }
-



More information about the arch-commits mailing list